---
title: "List my organizations"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › organizations

`GET /v2/organizations/me`

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.sureshake.com/v2/organizations/me
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/organizations/me';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/organizations/me"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "slug": "string",
      "description": "string",
      "organizationType": "string",
      "status": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "myMembershipId": "959e5d4a-e8b3-4d02-95ec-4e093ef76bd3",
      "myRole": "owner",
      "activeMemberCount": 0,
      "pendingMemberCount": 0
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "hasMore": true,
    "page": 0,
    "totalPages": 0
  }
}
```

- `data` (`organization-list-my-organizations.response.200.data`; array<object>, required)
  - `id` (`organization-list-my-organizations.response.200.data.id`; string, required)
  - `name` (`organization-list-my-organizations.response.200.data.name`; string, required)
  - `slug` (`organization-list-my-organizations.response.200.data.slug`; string, required)
  - `status` (`organization-list-my-organizations.response.200.data.status`; string, required)
  - `createdAt` (`organization-list-my-organizations.response.200.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`organization-list-my-organizations.response.200.data.updatedAt`; string, required)
    - format `date-time`
  - `description` (`organization-list-my-organizations.response.200.data.description`; string, optional, nullable)
  - `organizationType` (`organization-list-my-organizations.response.200.data.organizationType`; string, optional, nullable)
  - `myMembershipId` (`organization-list-my-organizations.response.200.data.myMembershipId`; string, optional)
    - format `uuid`
  - `myRole` (`organization-list-my-organizations.response.200.data.myRole`; string, optional)
    - one of `"owner"`, `"admin"`, `"member"`, `"viewer"`
  - `activeMemberCount` (`organization-list-my-organizations.response.200.data.activeMemberCount`; integer, optional)
    - min 0
  - `pendingMemberCount` (`organization-list-my-organizations.response.200.data.pendingMemberCount`; integer, optional)
    - min 0
- `meta` (`organization-list-my-organizations.response.200.meta`; object, required)
  - `total` (`organization-list-my-organizations.response.200.meta.total`; number, required) — Total number of items available
  - `limit` (`organization-list-my-organizations.response.200.meta.limit`; number, required) — Number of items per page
  - `offset` (`organization-list-my-organizations.response.200.meta.offset`; number, required) — Number of items skipped
  - `hasMore` (`organization-list-my-organizations.response.200.meta.hasMore`; boolean, required) — Whether more items are available
  - `page` (`organization-list-my-organizations.response.200.meta.page`; number, optional) — Current page number
  - `totalPages` (`organization-list-my-organizations.response.200.meta.totalPages`; number, optional) — Total number of pages

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`organization-list-my-organizations.response.401.error`; object, required)
  - `code` (`organization-list-my-organizations.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`organization-list-my-organizations.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`organization-list-my-organizations.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`organization-list-my-organizations.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`organization-list-my-organizations.response.403.error`; object, required)
  - `code` (`organization-list-my-organizations.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`organization-list-my-organizations.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`organization-list-my-organizations.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`organization-list-my-organizations.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`organization-list-my-organizations.response.500.error`; object, required)
  - `code` (`organization-list-my-organizations.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`organization-list-my-organizations.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`organization-list-my-organizations.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`organization-list-my-organizations.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/organization-list-my-organizations/index.md
